Jump to content

Recommended Posts

I'm trying to set up Xamarin Studio for my first plugin. It seems the wiki entries about this are out-of-date because they say I should install monodevelop which I could't find for windows.

(I want to develop on Linux and windows so an IDE which works on both would be nice)

The wiki says I should set the target framework to .net 3.5 but I can't find this in Xamarin.

I can compile the solution but when I put the .dll into ksp I get this error:

[EXC 09:29:39.878] FileNotFoundException: Could not load file or assembly 'System.Runtime, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a' or one of its dependencies.

I don't know what to do and could't find something in the wiki or the forums.

I hope someone can help me.

Edited by X52
Link to post
Share on other sites

I may not be the best to answer this question, as Xamarin Studio won't really work for me. As for the dotnet35 thing, occasionally I misconfigure my Visual Studio, and I noticed that I can open the project files in a text-editor and correct stuff like the references and Visual Studio will keep my changes even if they don't exactly match up. I don't know if Xamarin will let you do the same. It may be worth a try. Try to look in the .csproj and find/read/change:

<TargetFrameworkVersion>v3.5</TargetFrameworkVersion>

 

Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...